package cn.com.ty.lift.ud.userCollect.service;

import cn.com.ty.lift.ud.userCollect.controller.query.UserCollectQuery;
import cn.com.ty.lift.ud.userCollect.mapper.entity.UserCollectDto;
import cn.com.ty.lift.ud.userCollect.mapper.entity.UserCollectEntity;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 我的收藏 -Service
 *
 * @author Xson
 * @date 2020-04-28
 */
public interface IUserCollectService extends IService<UserCollectEntity> {

    UserCollectEntity isCollect(UserCollectDto userCollect);
    
    void deleteByUserAndDataId(Long userId,Long dataId,int type);

    void deleteByTypeAndDataId(Long dataId,Integer type);

    RestResponse selectQuestionById(UserCollectQuery query);

    RestResponse selectAttachmentFileById(UserCollectQuery query);

    RestResponse selectSchoolVideoById(UserCollectQuery query);

    RestResponse selectRecruitmentInfoById(UserCollectQuery query);

    RestResponse selectShoppingById(UserCollectQuery query);

    void noCollect(UserCollectEntity userCollectEntity);
}
